Bug 1012953 - Generated Database schema tables are different from RTGov sample H2 schema
Generated Database schema tables are different from RTGov sample H2 schema
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Steve Johnson
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 08:38 EDT by Steve Johnson
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Johnson 2013-09-27 08:38:11 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run productisation build system
2.
3.

Actual results:
SchemaExport generates one table per class mapping


Expected results:
One table per inheritance hierarchy


Additional info:
The difference in schema structure means we cannot populate seed data.
Seed data is also missing for ERD databases.
Comment 4 Steve Johnson 2013-10-18 10:30:04 EDT
Updated incomplete persistence.xml descriptor. Hibernate was not scanning for all classes in the inheritance hierarchy.  Tables have been re-generated after fix and checked to be correct against mappings in other persistence unit sql files.

Note You need to log in before you can comment on or make changes to this bug.